For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList agent exports
      • GETGet an agent export
      • GETDownload an agent export
      • DELDelete an agent export
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceAgent Exports

Get an agent export

GET
https://api.x.flatfile.com/v1/agent-exports/:agentExportId
GET
/v1/agent-exports/:agentExportId
$curl https://api.x.flatfile.com/v1/agent-exports/us_agx_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Example0
1{
2 "data": {
3 "id": "us_agx_YOUR_ID",
4 "agentId": "us_ag_YOUR_ID",
5 "exportType": "AUTOBUILD_INLINED",
6 "accountId": "us_acc_YOUR_ID",
7 "environmentId": "us_env_YOUR_ID",
8 "createdAt": "2023-10-30T16:59:45.735Z",
9 "updatedAt": "2023-10-30T16:59:45.735Z"
10 }
11}
Was this page helpful?
Previous

Download an agent export

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

agentExportIdstringRequired
Agent Export ID

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject